summaryrefslogtreecommitdiffstats
path: root/src/oh-architecture.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-11-08 23:46:54 (EST)
committer P. J. McDermott <pjm@nac.net>2012-11-08 23:46:54 (EST)
commita2da37288b682cfed1668bb989668894a8e60eab (patch)
treeda2ef1cf3d07c9fd2d671da5df218c6125a1771f /src/oh-architecture.sh
parente1f1b3a7e9e0afbc640dede5d2ce1910767927fb (diff)
Implement oh-architecture.
Diffstat (limited to 'src/oh-architecture.sh')
-rw-r--r--src/oh-architecture.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/src/oh-architecture.sh b/src/oh-architecture.sh
new file mode 100644
index 0000000..f822392
--- /dev/null
+++ b/src/oh-architecture.sh
@@ -0,0 +1,48 @@
+#!@@SH@@
+#
+# opkhelper
+# src/oh-architecture
+# Prints build system architecture names.
+#
+# Copyright (C) 2012 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. '@@LIBOPKHELPER@@/load.sm'
+
+oh_use buildsystem
+
+main()
+{
+ oh_init
+
+ while getopts 'S:' opt; do
+ case "${opt}" in
+ S)
+ oh_set_buildsystem_option 'build-system' "${OPTARG}"
+ ;;
+ ?)
+ ob_error "$(ob_get_msg 'bad_opt')"
+ exit 1
+ ;;
+ esac
+ done
+ shift $(($OPTIND - 1))
+
+ oh_buildsystems_init
+
+ oh_buildsystem_arch "${1}"
+}
+
+main "${@}"